import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import * as appstate from '../../appstate.js';
declare global {
    interface HTMLElementTagNameMap {
        'ops-view-redirects': OpsViewRedirects;
    }
}
export declare class OpsViewRedirects extends DeesElement {
    accessor routeState: appstate.IRouteManagementState;
    constructor();
    connectedCallback(): Promise<void>;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private refreshData;
    private formatStatus;
    private formatHttpTemplate;
    private formatNotes;
}
